{% block stylesheets %}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/css/dataTables.bootstrap4.min.css" integrity="sha512-PT0RvABaDhDQugEbpNMwgYBCnGCiTZMh9yOzUsJHDgl/dMhD9yjHAwoumnUk3JydV3QTcIkNDuN40CJxik5+WQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.min.css" integrity="sha512-0S+nbAYis87iX26mmj/+fWt1MmaKCv80H+Mbo+Ne7ES4I6rxswpfnC6PxmLiw33Ywj2ghbtTw0FkLbMWqh4F7Q==" crossorigin="anonymous" referrerpolicy="no-referrer" />
{% endblock %}
{% block javascripts %}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" integrity="sha512-aVKKRRi/Q/YV+4mjoKBsE4x3H+BkegoM/em46NNlCqNTmUYADjBbeNefNxYV7giUp0VxICtqdrbqU7iVaeZNXA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/jquery.dataTables.min.js" integrity="sha512-BkpSL20WETFylMrcirBahHfSnY++H2O1W+UnEEO4yNIl+jI2+zowyoGJpbtk6bx97fBXf++WJHSSK2MV4ghPcg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/dataTables.bootstrap4.min.js" integrity="sha512-OQlawZneA7zzfI6B1n1tjUuo3C5mtYuAWpQdg+iI9mkDoo7iFzTqnQHf+K5ThOWNJ9AbXL4+ZDwH7ykySPQc+A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" integrity="sha512-oaT4uVdyleJGVHZqklOx2Bb8WhOTBW3iCXRtgk3+YutYmFx0jSs97UR3/+r1vh1Isyb3GOGjFonLbS6LFiiEVA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables-buttons/1.6.1/js/dataTables.buttons.min.js" integrity="sha512-ZQQJGP0GZBNJFbHsLo4BMtP+5vnqjyqhg98WyW0t5GSelB1bAbb6hXrW7AaH8GDIsW9wkch0YRSVPvozOGGhzw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables-buttons/1.6.1/js/buttons.html5.min.js" integrity="sha512-Mmhq4jQrH7thNGo1ijXO2SqTqFaGwfwpY3uBbFqvD1dvEcUP9M/EfEj8JAAXIIJGdtAgN+S3NtuZmhksrLLlDQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables-buttons/1.6.1/js/buttons.print.min.js" integrity="sha512-kYpyIzqFmlPX1c3EhpL4+8AajeawkvGies2wVJcpMZJ/7zupZ/KcHa8QsDng8rtFUn2yPk/0MZolkz3pTqhsPA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables-buttons/1.6.1/js/buttons.flash.min.js" integrity="sha512-90CjCGIVo1iK/TihEKb+EUGC2umQQSWTXzx3egiyFV/GBRKd9LeyfqZ4PTuO0XtSq1dEiVWsinwxjLobiNG2xQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.5/pdfmake.min.js" integrity="sha512-rDbVu5s98lzXZsmJoMa0DjHNE+RwPJACogUCLyq3Xxm2kJO6qsQwjbE5NDk2DqmlKcxDirCnU1wAzVLe12IM3w==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.5/vfs_fonts.min.js" integrity="sha512-BDZ+kFMtxV2ljEa7OWUu0wuay/PAsJ2yeRsBegaSgdUhqIno33xmD9v3m+a2M3Bdn5xbtJtsJ9sSULmNBjCgYw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script>
$(document).ready(function () {
  const lang = document.documentElement.lang.toString();
  //Default
  let url_language = '/bundles/app/js/libs/datatables/it-IT.json';
  if(lang === 'en'){
    url_language = '/bundles/app/js/libs/datatables/en-GB.json';
  }else if(lang === 'de'){
    url_language = '/bundles/app/js/libs/datatables/de-DE.json';
  }

$('#meetings_table').DataTable( {
    "columnDefs": [{
      "targets": [0],
      "orderData": [0, 1]
    },
    {
      "targets": [1],
      "orderData": [1, 0]
    }],
  language: {
    url: url_language
  },
    dom: 'Bfrtip',
    searching: true,
    paging: true,
    pagingType: 'simple_numbers',
  buttons: {
    dom: {
      button: {
        className: 'btn btn-primary mr-2' //Primary class for all buttons
      }
    },
    buttons: [
      {
        extend: 'excel',
        text: '<i class="fas fa-file-excel"></i><span class="d-none d-xl-inline-block">&nbsp {{ 'meetings.export_excel' | trans }}</span>',
        title: "{{ 'operatori.meetings' | trans }}",
        className: 'btn-primary'
      },
      {
        extend: 'csv',
        text: '<i class="fas fa-file-csv"></i><span class="d-none d-xl-inline-block">&nbsp {{ 'meetings.export_csv' | trans }}</span>',
        title: "{{ 'operatori.meetings' | trans }}",
        className: 'btn-primary'
      },
      {
        extend: 'pdf',
        text: '<i class="fas fa-file-pdf"></i><span class="d-none d-xl-inline-block">&nbsp {{ 'meetings.export_pdf' | trans }}</span>',
        title: "{{ 'operatori.meetings' | trans }}",
        pageSize: 'LEGAL',
        className: 'btn-primary'
      },
      {
        extend: 'print',
        text: '<i class="fas fa-print"></i><span class="d-none d-xl-inline-block">&nbsp {{ 'meetings.print' | trans }}</span>',
        title: "{{ 'operatori.meetings' | trans }}",
        className: 'btn-primary'
      }
    ],
  },
  initComplete: function () {
      $('#hide-dt').show();
    }
  } );

})
</script>
{% endblock %}
  <div class="py-4">
      <div id="hide-dt"  style="display:none">
        <table id="meetings_table" class="table table-striped center" width="100%" style="width: 100%;">
          <thead>
          <tr>
            <th>{{ 'date' | trans }}</th>
            <th>{{ 'schedule' | trans }}</th>
            <th>{{ 'meetings.labels.user' | trans }}</th>
            <th>{{ 'general.email' | trans }}</th>
            <th>{{ 'user.profile.codice_fiscale' | trans }}</th>
            <th>{{ 'pratica.pdf.telefono' | trans }}</th>
            <th>{{ 'general.postponement' | trans }}</th>
            <th>{{ 'servizio.stato' | trans }}</th>
          </tr>
          </thead>
          <tbody>
          {% for t in datatable %}
            <tr>
              <td data-order="{{ t.fromTime | date("U")}}">{{ t.fromTime |date("d/m/Y") }}</td>
              <td>{{ t.fromTime |format_time(pattern='HH:mm', locale=app.request.locale) }} - {{ t.toTime | format_time(pattern='HH:mm', locale=app.request.locale) }}</td>
              <td>{{ t.user.nome }} {{ t.user.cognome }}</td>
              <td><a href="mailto:{{ t.email }}">{{ t.email }}</a></td>
              <td>{{ t.fiscalCode }}</td>
              <td>{{ t.phoneNumber }}</td>
              <td>{{ t.rescheduled }}</td>
              <td>{{ t.getStatusName() | trans }}</td>
            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>
  </div>


